///////////////////////////////////////////////////////////////////////////////
// PMCDeviceDriver.h

#ifndef __PMCDEVICEDRIVER_H__
#define __PMCDEVICEDRIVER_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TcBase.h"

#define PMCDEVICEDRV_NAME        "PMCDEVICE"
#define PMCDEVICEDRV_Major       1
#define PMCDEVICEDRV_Minor       0

#define DEVICE_CLASS CPMCDeviceDriver

#include "ObjDriver.h"

class CPMCDeviceDriver : public CObjDriver
{
public:
	virtual IOSTATUS	OnLoad();
	virtual VOID		OnUnLoad();

	//////////////////////////////////////////////////////
	// VxD-Services exported by this driver
	static unsigned long	_cdecl PMCDEVICEDRV_GetVersion();
	//////////////////////////////////////////////////////
	
};

Begin_VxD_Service_Table(PMCDEVICEDRV)
	VxD_Service( PMCDEVICEDRV_GetVersion )
End_VxD_Service_Table


#endif // ifndef __PMCDEVICEDRIVER_H__